//
//  NSString+Pointr.h
//  Pointr
//
//  Creatd by Pointr on 15/04/2015.
//  Copyright (c) 2015 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

/// Pointr `NSString` category
OBJC_EXPORT @interface NSString(Pointr)

/**
 Crash-safe version of substringFromIndex:
 */
- (NSString *)ptr_safeSubstringFromIndex:(NSUInteger)from;

/**
 Crash-safe version of stringByAppendingString:
 */
- (NSString *)ptr_safeAppendWithString:(NSString *)append;

/**
 Crash-safe version of substringToIndex:
 */
- (NSString *)ptr_safeSubstringToIndex:(NSUInteger)to;

/**
 Crash-safe version of substringWithRange:
 */
- (NSString *)ptr_safeSubstringWithRange:(NSRange)range;

/**
 String comparison, ignoring case
 */
- (BOOL)ptr_isEqualToStringIgnoringCase:(NSString *)str;

/**
 *  String trimmed from whitespace
 */
- (NSString *)ptr_trimmedString;

/**
 *  Returns YES if string consists of numbers only, NO otherwise
 */
- (BOOL)ptr_isNumeric;

/**
 *  Returns an attributed string with the specified letter spacing.
 *
 *  @param spacing letter spacing.
 *  @return Attributed string with the specified letter spacing.
 */
- (NSMutableAttributedString *)ptr_beautifyTextWithSpacing:(float)spacing;

@end
