//
//  PTRBuilding.h
//  PointrCore
//
//  Created by Pointr in 2022.
//

@class PTRSite;
@class PTRLevel;
@class PTRBoundingBox;
@class PTRGeoPolygon;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a building
OBJC_EXPORT @interface PTRBuilding : NSObject

/// Internal identifier.
@property (nonatomic, readonly) int internalIdentifier;

/// External identifier
@property (nonatomic, readonly) NSString *externalIdentifier;

/// Title
@property (nonatomic, readonly) NSString *title;

/// Site that contains the building
@property (nonatomic, readonly) PTRSite *site;

/// Levels contained by this building
@property (nonatomic, readonly) NSArray<PTRLevel *> *levels;

/// North-East aligned bounding box of this building
@property (nonatomic, readonly) PTRBoundingBox *boundingBox;

/// Geometry of the building
@property (strong, nonatomic, readonly, nonnull) PTRGeoPolygon * geometry;

@end

NS_ASSUME_NONNULL_END
