#import <Foundation/Foundation.h>

#import <PointrKit/PTRAppStateManagerConfiguration.h>
#import <PointrKit/PTRAugmentingRealityConfiguration.h>
#import <PointrKit/PTRDataManagerConfiguration.h>
#import <PointrKit/PTRGeofenceManagerConfiguration.h>
#import <PointrKit/PTRLocationSharingConfiguration.h>
#import <PointrKit/PTRPathManagerConfiguration.h>
#import <PointrKit/PTRPoiManagerConfiguration.h>
#import <PointrKit/PTRPositionManagerConfiguration.h>
#import <PointrKit/PTRSdkConfiguration.h>
#import <PointrKit/PTRUserInterfaceConfiguration.h>

NS_ASSUME_NONNULL_BEGIN

/// Configuration model class
OBJC_EXPORT @interface PTRConfiguration : NSObject

- (instancetype)init NS_UNAVAILABLE;

/// App state manager configuration
@property (nonatomic, strong, readonly) PTRAppStateManagerConfiguration *appStateManagerConfiguration;

/// Augmenting reality configuration
@property (nonatomic, strong, readonly) PTRAugmentingRealityConfiguration *augmentingRealityConfiguration;

/// Data manager configuration
@property (nonatomic, strong, readonly) PTRDataManagerConfiguration *dataManagerConfiguration;

/// Geofence manager configuration
@property (nonatomic, strong, readonly) PTRGeofenceManagerConfiguration *geofenceManagerConfiguration;

/// Location sharing configuration
@property (nonatomic, strong, readonly) PTRLocationSharingConfiguration *locationSharingConfiguration;

/// Path manager configuration
@property (nonatomic, strong, readonly) PTRPathManagerConfiguration *pathManagerConfiguration;

/// Poi manager configuration
@property (nonatomic, strong, readonly) PTRPoiManagerConfiguration *poiManagerConfiguration;

/// Position manager configuration
@property (nonatomic, strong, readonly) PTRPositionManagerConfiguration *positionManagerConfiguration;

/// SDK configuration
@property (nonatomic, strong, readonly) PTRSdkConfiguration *sdkConfiguration;

/// User interface configuration
@property (nonatomic, strong, readonly) PTRUserInterfaceConfiguration *userInterfaceConfiguration;

@end

NS_ASSUME_NONNULL_END
