//
//  PTRFeature.h
//
//  Created by Pointr on 23/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <PointrKit/PTRLocationAware.h>

@class PTRGeometry;

NS_ASSUME_NONNULL_BEGIN

/// Model class for feature. A feature represents a map object.
@interface PTRFeature : PTRLocationAware

/// Feature's unique identifier.
@property (strong, nonatomic, readonly) NSString *identifier;

/// Feature's external identifier.
@property (strong, nonatomic, readonly) NSString *externalId;

/// Feature's type code.
@property (strong, nonatomic, readonly) NSString *typeCode;

/// Feature's geometry.
@property (strong, nonatomic, readonly) PTRGeometry *geometry;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
