//
//  PTRARPath.h
//
//  Created by Pointr on 28/06/2022.
//  Copyright © 2022 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PTRARPathNode;
@class PTRPath;

NS_ASSUME_NONNULL_BEGIN

/// Model class for a path on AR.
@interface PTRARPath : NSObject

/// The nodes of the path.
@property (strong, nonatomic, readonly, nonnull) NSArray<PTRARPathNode *> *nodes;

/// The original path with geo coordinates.
@property (strong, nonatomic, readonly) PTRPath *originalPath;

/// The angle between the user heading and the AR path in radians.
@property (assign, nonatomic, readonly) double userToPathDirection;

- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
