//
//  PTRGeometricAlgorithms.h
//  Pointr
//
//  Created by Pointr on 14/04/15.
//  Copyright (c) 2015 Pointr. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef struct {
    double distance;        // meters
    double initialBearing;  // radians, relative to true north, increases clockwise
    double finalBearing;    // radians, relative to true north, increases clockwise
} PTRDistanceBearing;

/** Returns degrees, converted from radians. */
NS_INLINE double PTRDegreesFromRadians(double radians) {
    if (radians < 0) {
        radians += 2 * M_PI;
    }
    return radians * 180 / M_PI;
}

@class PTRGeoPoint;

/// Helper class for geometric calculations
OBJC_EXPORT @interface PTRGeometricAlgorithms : NSObject

+ (PTRDistanceBearing)calculateDistanceAndBearingFrom:(PTRGeoPoint *)pointA toPointr:(PTRGeoPoint *)pointB;

@end

NS_ASSUME_NONNULL_END
