//
//  PTRMappedBeacon.h
//
//  Created by Pointr on 18/05/21
//  Copyright (c) 2021 Pointr. All rights reserved.
//

#import <CoreLocation/CoreLocation.h>

#import <PointrKit/PTRFeature.h>

NS_ASSUME_NONNULL_BEGIN

/**
 *  Object representing mapped beacon.
 */
OBJC_EXPORT @interface PTRMappedBeacon : PTRFeature

/// The beacon's level index
@property (nonatomic, readonly) int levelIndex;

/// The beacon's building internal identifier
@property (nonatomic, readonly) int buildingId;

/// The beacons's site internal identifier
@property (nonatomic, readonly) int siteId;

/// Beacon's coordinates.
@property (nonatomic, readonly) CLLocationCoordinate2D coordinate;

/// The beacon's major value
@property (nonatomic, readonly) int major;

/// The beacon's minor value
@property (nonatomic, readonly) int minor;

/// The beacon's UUID string
@property (strong, nonatomic, readonly) NSString *uuidString;

/// The beacon's UUID
@property (strong, nonatomic, readonly) NSUUID *uuid;

@end

NS_ASSUME_NONNULL_END
