//
//  UIColor+Pointr.h
//  POHawkinsBrown
//
//  Creatd by Pointr on 25/02/2015.
//  Copyright (c) 2015 Pointr. All rights reserved.
//

#import <UIKit/UIKit.h>

/// Pointr's `UIColor` category
OBJC_EXPORT @interface UIColor(Pointr)

/**
 Converts hex to rgb color

 @param hexString hex string
 @return UIColor
 */
+ (UIColor *)colorWithHexString:(NSString *)hexString;

/// Method to calculate color component
/// @param string Color string
/// @param start Start index
/// @param length Length
+ (CGFloat)colorComponentFrom:(NSString *)string start:(NSUInteger)start length:(NSUInteger)length;

/// Pointr's dark blue
+ (UIColor *)ptrDarkBlue;

/// Pointr's light blue
+ (UIColor *)ptrLightBlue;

/// Pointr's red
+ (UIColor *)ptrRed;

/// Pointr's fray
+ (UIColor *)ptrGray;

/// Pointr's green
+ (UIColor *)ptrGreen;

/// Pointr's orange
+ (UIColor *)ptrOrange;

/// Pointr's purple
+ (UIColor *)ptrPurple;

/// Pointr's yellow
+ (UIColor *)ptrYellow;

/// Pointr's green
+ (UIColor *)ptrFlatGreen;

/// Pointr's flat blue
+ (UIColor *)ptrFlatBlue;

/// Pointr's flat orange
+ (UIColor *)ptrFlatOrange;

/// Pointr's flat red
+ (UIColor *)ptrFlatRed;

@end
